Arbor 3: FSM & BT Graph Editor 3.7.8

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleAssetObject Class Reference

Class to handle a flexible Asset Object type reference method there is more than one. More...

Inheritance diagram for FlexibleAssetObject:

## Public Member Functions
| FlexibleAssetObject ()
| FlexibleAssetObject default constructor More...
| FlexibleAssetObject (Object value)
| FlexibleAssetObject constructor More...
| FlexibleAssetObject (AssetObjectParameterReference parameter)
| FlexibleAssetObject constructor More...
| FlexibleAssetObject (InputSlotUnityObject slot)
| FlexibleAssetObject constructor More...
object | GetValueObject ()
| Return the value as object. More...

## Static Public Member Functions
static | operator Object (FlexibleAssetObject flexible)
| Cast FlexibleAssetObject to Object. More...
static | operator FlexibleAssetObject (Object value)
| Cast Object to FlexibleAssetObject. More...

## Properties
FlexibleType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
Object | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Asset Object type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleAssetObject() [1/4]

FlexibleAssetObject | ( |  | ) |

FlexibleAssetObject default constructor

## ◆ FlexibleAssetObject() [2/4]

FlexibleAssetObject | ( | Object | value | ) |

FlexibleAssetObject constructor

Parameters

  value | Value

## ◆ FlexibleAssetObject() [3/4]

FlexibleAssetObject | ( | AssetObjectParameterReference | parameter | ) |

FlexibleAssetObject constructor

Parameters

  parameter | Parameter

## ◆ FlexibleAssetObject() [4/4]

FlexibleAssetObject | ( | InputSlotUnityObject | slot | ) |

FlexibleAssetObject constructor

Parameters

  slot | Slot

## Member Function Documentation

## ◆ GetValueObject()

object GetValueObject | ( |  | ) |

Return the value as object.

Returns
  The value object

Implements IFlexibleField.

## ◆ operator FlexibleAssetObject()

static operator FlexibleAssetObject | ( | Object | value | ) |
| explicit static

Cast Object to FlexibleAssetObject.

Parameters

  value | Object

## ◆ operator Object()

static operator Object | ( | FlexibleAssetObject | flexible | ) |
| explicit static

Cast FlexibleAssetObject to Object.

Parameters

  flexible | FlexibleAssetObject

## Property Documentation

## ◆ parameter

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

## ◆ type

FlexibleType type
| get

It returns a type

## ◆ value

Object value
| get

It returns a value